# Add Node version use in your project. Recommender use LTS last version.
# (1)
image: node:16.15.0 
# (2)
pages:
  cache:
    paths:
      - node_modules/
  # (3)
  script:
    # Use Angular version 13 because use in current project
    - npm install -g @angular/cli@10.1.1
  # (4) especify path in directory to take content to publish angular app
  artifacts:
    paths:
      - public
  # (5) Detect changes in select branches
  only:
    - main
